﻿using System;
using System.Diagnostics;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using Silanis.ESL.SDK.Internal;
using System.Collections.Generic;
using System.Net.Http.Headers;
using System.Net.Http;
using Newtonsoft.Json.Linq;

    class usageReport
    {
        private static string url = "https://sandbox.esignlive.com/api";
        private static string key = "api_key";

        public static void Main(string[] args)
        {
            DateTime from = DateTime.Today.AddDays(-10);
            DateTime to = DateTime.Now;

            EslClient client = new EslClient(key, url);

            UsageReport report = client.ReportService.DownloadUsageReport(from, to);

            IList<SenderUsageReport> senderReports = report.SenderUsageReports;

            foreach (SenderUsageReport senderReport in senderReports)
            {

                Debug.WriteLine("\nSender \"" + senderReport.Sender.FirstName + " " + senderReport.Sender.LastName + "\" has: \n");

                IDictionary<UsageReportCategory, int> usageReportCategory = senderReport.CountByUsageReportCategory;

                IEnumerator<KeyValuePair<UsageReportCategory, int>> enumKeySet = usageReportCategory.GetEnumerator();

                while (enumKeySet.MoveNext())
                {

                    Debug.WriteLine(enumKeySet.Current.Value + " packages in " + enumKeySet.Current.Key + " status");

                }

            }
            
            
        }
    }